org.apache.ignite.spi.communication.tcp

## Class ClientExceptionsUtils

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.ClientExceptionsUtils

-     public class ClientExceptionsUtils
      extends Object

  Utils to analyze client-related exceptions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientExceptionsUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isAttemptToEstablishDirectConnectionWhenOnlyInverseIsAllowed(Throwable t)` Returns `true` if the exception that is provided is thrown because an attempt to open a direct connection was made while only inverse connections are allowed.
    `static boolean` | `isClientNodeTopologyException(Throwable t, ClusterNode node)` Returns `true` if the exception relates to cluster topology change that prevents a connection, AND the given node is client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientExceptionsUtils

          public ClientExceptionsUtils()

  - ### Method Detail

    - #### isClientNodeTopologyException

          public static boolean isClientNodeTopologyException(Throwable t,
                                                              ClusterNode node)

      Returns `true` if the exception relates to cluster topology change that prevents a connection, AND the given node is client.
      Parameters:
        `t` - The exception we analyze.
        `node` - Node to which we tried to send a message, but the send produced the given exception.
      Returns:
        `true` if the exception relates to cluster topology change that prevents a connection, AND the given node is client.

    - #### isAttemptToEstablishDirectConnectionWhenOnlyInverseIsAllowed

          public static boolean isAttemptToEstablishDirectConnectionWhenOnlyInverseIsAllowed(Throwable t)

      Returns `true` if the exception that is provided is thrown because an attempt to open a direct connection was made while only inverse connections are allowed.
      Parameters:
        `t` - Exception to inspect.
      Returns:
        `true` if the exception that is provided is thrown because an attempt to open a direct connection was made while only inverse connections are allowed.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023